// user-block.js
// Copyright (C) 2022 DTP Technologies, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const UserBlockSchema = new Schema({
  user: { type: Schema.ObjectId, required: true, index: true, ref: 'User' },
  blockedUsers: { type: [Schema.ObjectId], ref: 'User' },
});

module.exports = mongoose.model('UserBlock', UserBlockSchema);